# frei0r-src-test-pat-l

Generates linearity checking patterns

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──GstPushSrc
                            ╰──frei0r-src-test-pat-l

## Factory details

Authors: – Sebastian Dröge <sebastian.droege>, Marko Cebokli</sebastian.droege>

Classification: – `Src/Video`

Rank – none

Plugin – frei0r

Package – GStreamer Bad Plug-ins

## Pad Templates

### `src`

    video/x-raw:
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### channel

    “channel” gdouble

Into which color channel to draw

Flags : Read / Write

Default value : 0

### type

    “type” gdouble

Type of test pattern

Flags : Read / Write

Default value : 0

The results of the search are